> ## Documentation Index
> Fetch the complete documentation index at: https://steamgold.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Удаление намерения

> Удаляет намерение из корзины



## OpenAPI

````yaml DELETE /pouch/{pouchId}/intents/{intentId}
openapi: 3.0.1
info:
  title: OpenAPI SteamGold
  description: Is used for steamgold API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.steamgold.dev/v1
security:
  - bearerAuth: []
paths:
  /pouch/{pouchId}/intents/{intentId}:
    delete:
      tags:
        - Pouch
      description: Удаляет намерение из корзины
      operationId: removeIntentFromPouch
      parameters:
        - name: pouchId
          in: path
          description: ID корзины
          required: true
          schema:
            type: string
        - name: intentId
          in: path
          description: ID намерения
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Намерение успешно удалено
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 200
                  paymentAmount:
                    type: number
                    description: Обновленная сумма к оплате
                    example: 1000
                  paymentCurrency:
                    description: Валюта оплаты
                    type: string
                    example: RUB
                  message:
                    type: string
                    example: Intent removed from pouch
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      required:
        - code
        - message
      type: object
      properties:
        code:
          description: HTTP-код ответа
          type: integer
          format: int32
        message:
          description: Сообщение об ошибке
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````